% *************************************************************
% author:   Gene Cheung                                      **
% date:     01/09/2015                                       **
% modified: 01/09/2015                                       **
% purpose:  check if a contour appears in prev frame         **
% *************************************************************

% input: direction code (1-4 means North, East, South, West),
% output: AEC codeword (d) and the number of used bits (bCount).

function [rep] = repeatContour (prevStartPt0, prevDcode0, startPt0, dcode0)

[dRow, dCol] = size(prevDcode0);
len = length(dcode0);

for i=1:dRow,
    
    if prevStartPt0(i).hGrad == startPt0.hGrad && prevStartPt0(i).row == startPt0.row && prevStartPt0(i).col == startPt0.col,        
        if dCol >= len,        
            diff = prevDcode0(i,1:len) - dcode0(1:len);        
            diff = diff*diff';   % square difference
            if diff == 0,
                rep = 1;        
                return;
            end    
        end
    end
    
end
rep = 0;